Page MenuHomePhabricator

IBar don't work, e git + efl 1.18.0
Closed, ResolvedPublic

Description

IBar only shows EFL apps

IBox shows no apps
---> Pardon me, IBox works fine.

jabol240 created this task.Sep 5 2016, 2:31 PM
jabol240 renamed this task from IBar, IBox don't work, e git + efl 1.18.0 to IBar don't work, e git + efl 1.18.0.Sep 6 2016, 1:48 PM
jabol240 updated the task description. (Show Details)
bu5hm4n added a subscriber: bu5hm4n.Sep 7 2016, 3:10 AM

Can you check again with e-git? I pushed a patch that this is not happening:

https://git.enlightenment.org/core/enlightenment.git/commit/?id=50030dc69346c209109c36bb41631b176c85b2c5

thanks. Still ibar only shows terminology here.

Ah okay, is your theme correct, does efreet build theme caches? Do you see other icons in everything?

jabol240 added a comment.EditedSep 7 2016, 1:38 PM

hi I am not about the icons. I dont see ty icon either, but the blue dot is there. Unlike with other apps.

Not sure what you asking about :)
icons in evry are very scarce.
I use default theme
.cache/efreet/ is filled with some stuff, but these could be old. Oh no they're not.

bu5hm4n edited projects, added enlightenment-git; removed Restricted Project.Sep 8 2016, 4:29 AM
zmike added a comment.Sep 8 2016, 5:16 AM

Can it be verified that the right icons are loading?

I guess that's the same bug as the one I have linked to ... Problem is elm.box goes crazy after some time and resizes its children in that way, I still have absolutely no idea what is causing it, or how to reproduce it... @jabol240 do you have a reliable way ?

jabol240 added a comment.EditedSep 8 2016, 6:15 AM

not sure how this could be the same issue since in simotek's bug there seem to be placeholders - blue dots - but just the icons are missing, while in my case IBar doesn't see the applications at all, save for terminology....? but I'll try installing fresh config and git on my other laptop to see whether it be the same

hi indeed I think these are separate issues as I had simotek's bug on one of my laptops too, but not on the other.

issues as I can reproduce them using fresh e git install and config, under Arch:

  1. at some point soon after clean install our new right-click-menu (comprising of Gadget>, Shelf> and Begin Moving Gadgets) is replaced by the old cluttered one. But I couldn't figure when.
  2. Applications> submenu is indeed short in supply after E boots. Restarting E populates it correctly. Alas, only few apps have icons. These are l3afpad, ephoto, htop, emixer and others from E, file managers, and that's it. Ty has no icon, but I'm blaming git. The icons mentioned above are also the only one shown by IBar.
  3. As window remembers have not been too reliable, I had resorted to creating custom .desktop files using lines like below Exec=enlightenment_remote -desktop-show 0 1 && geany --no-ctags %F & This has worked fine in e20 but now the final & is evil to IBar, meaning it prevents IBar from seeing the window. On the other hand, without & the line does not work coz it indeed flips the desktop but the apps (Geany) appear in the old one. I tried workarouns like scripts, sleep, && but to no avail.
  4. So aside from showing hardly any icons, IBar does see most of the windows (save E windows and efm) if the apps are run from menu. It regularly fails thou, when apps are run from other apps. E.g terminology->pcmanfm-qt, terminology->ephoto, pcmanfm-qt->l3afpad,ephoto,rage,mpv. However pcmanfm->smplayer works fine (save the icon of course).
  5. IBar yearned for a rewrite for ages now, and I beleive everyone knows how unreliable it is. It mixes up apps and icons, puts two unrelated apps under same icon, fails to display icons, fails to see windows at all - file managers, efm and E internal windows being most notorious.